package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum OrderRebateCalcMethodEnum {
	/**
	 * 返点计算方式：1_按净重计算；2_固定金额；
	 */
	NET_WEIGHT(1, "按净重计算"),
	FIXED_AMOUNT(2, "固定金额");

	@EnumValue
	private final int type;

	private final String message;
}
